from charmhelpers.contrib.openstack.context import (OSContextGenerator, )


class NedgeSubordinateContext(OSContextGenerator):
    interfaces = ['ceph-cinder']

    def __call__(self, context):
        """
        Used to generate template context to be added to cinder.conf in the
        presence of a ceph relation.
        """
        return {
            "cinder": {
                "/etc/cinder/cinder.conf": {
                    "sections": {
                        "DEFAULT": [
                            ('default_volume_type', 'nedge')
                        ],
                        "nedge": [
                            ('iscsi_helper',
                             context['cinder-data']['iscsi_helper']),
                            ('volume_group',
                             context['cinder-data']['volume_group']),
                            ('volume_backend_name',
                             context['cinder-data']['volume_backend_name']),
                            ('volume_driver',
                             context['cinder-data']['volume_driver']),
                            ('nexenta_rest_address',
                             context['cinder-data']['nexenta_rest_address']),
                            ('nexenta_rest_port',
                             context['cinder-data']['nexenta_rest_port']),
                            ('nexenta_rest_protocol',
                             context['cinder-data']['nexenta_rest_protocol']),
                            ('nexenta_iscsi_target_portal_port',
                             context['cinder-data'][
                                 'nexenta_iscsi_target_portal_port']),
                            ('nexenta_rest_user',
                             context['cinder-data']['nexenta_rest_user']),
                            ('nexenta_rest_password',
                             context['cinder-data']['nexenta_rest_password']),
                            ('nexenta_lun_container',
                             context['cinder-data']['nexenta_lun_container']),
                            ('nexenta_iscsi_service',
                             context['cinder-data']['nexenta_iscsi_service']),
                            ('nexenta_client_address',
                             context['cinder-data']['nexenta_client_address'])
                        ]
                    }
                }
            }
        }
