import os
import subprocess

from charmhelpers.core.hookenv import (log)


def install_iscsi_driver(os_release):
    cinder_driver_dst = '/usr/lib/python2.7/dist-packages/'\
                        'cinder/volume/drivers/'

    drivers_folder = os.path.join(os.environ.get('CHARM_DIR'), 'drivers')
    driver_tar_path = os.path.join(drivers_folder,
                                   "{}.tar.gz".format(os_release))

    log("Selected driver package is : {}".format(driver_tar_path))

    cmd = ['tar', '-xvf', driver_tar_path, '-C', cinder_driver_dst]
    subprocess.check_output(cmd,
                            stderr=subprocess.STDOUT,
                            universal_newlines=True)
